﻿using System;
using InternshipSystem.Core.Entity.Internship;

namespace InternshipSystem.Core.Commands
{
    public class UpdateRegistrationForm
    {
        public UpdateCompany? Company { get; set; }
        public DateTime? Start { get; set; }
        public DateTime? End { get; set; }
        public InternshipType? Type { get; set; }
    }

    public struct UpdateCompany
    {
        public long? Id { get; set; }
        public string Nip { get; set; }
        public string Name { get; set; }
        public UpdateBranchOffice? BranchOffice { get; set; }
        
        public bool IsUpdate => Id.HasValue;
    }

    public struct UpdateBranchOffice
    {
        public long? Id { get; set; }
        public string Street { get; set; }
        public string Building { get; set; }
        public string City { get; set; }
        public string PostalCode { get; set; }
        public string Country { get; set; }
    }
}